using MieSystem.Models;

namespace MieSystem.Data.Interfaces
{
    public interface IExpedienteRepository
    {
        Task<Expediente?> GetByIdAsync(int id);
        Task<IEnumerable<Expediente?>> GetAllAsync();
        Task<int> CreateAsync(Expediente expediente);
        Task<bool> UpdateAsync(Expediente expediente);
        Task<bool> DeleteAsync(int id);
    }
}
